package kr.co.i4way.sample.task;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
 
@Component
public class ScheduleTask {
  Logger logger = LoggerFactory.getLogger(this.getClass());
 
  //@Scheduled(fixedDelayString = "${spring.task.fixedDelay}")
  @Scheduled(cron="0 * * * * *")
  public void tick() throws InterruptedException{
	  logger.info("LOG");
  }
}
